# GetWalletBalance()

**Method Signature**

```go
func GetWalletBalance(blockchain string, address string, asset string) map[string]interface{}
```

**Parameters**

| Name         | Type   | Description               |
| ------------ | ------ | ------------------------- |
| `blockchain` | String | Blockchain address in hex |
| `address`    | String | Wallet address in hex     |
| `asset`      | String | Asset name                |

**Example**

```go
package main

import (
	"fmt"

	"github.com/circular-protocol/circular-go/circular_protocol_api"
)

func main() {
	var blockchain = "0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2"
	var test_addr = "0x8b1dd25076c04c5139acba458f86c69cd2d322c61d19bc28daa3bbd945083738"

	result := circular_protocol_api.GetWalletBalance(blockchain, test_addr)
	fmt.Println(result)
}
```

**Result**

The result will be of type `Map`, but for easier readability, here is the equivalent in JSON.

{% tabs %}
{% tab title="200" %}

```json
{
    "Result": 200,
    "Response": {
        "Balance": 1989449.200000,
        "Description": "Circular Coin"
    },
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="108" %}
When the wallet doesn't exists:

```json
{
    "Result": 108,
    "Response": "Wallet Not found",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="118" %}
When the blockchain is missing or the blockchain address is wrong:

```json
{
    "Result": 118,
    "Response": "Wrong Format",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/go/getwalletbalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
